#include <iostream>
#include <fstream>
#include <string>
#include "Osoba.h"

using namespace std;

void write(ofstream& bin, Osoba& o) {
	string data = o.to_string();
	short len = (short) data.length();

	// Writing the length of the string first
	bin.write((char*) &len, sizeof(short));
	// Then writing the string itself
	bin.write(data.c_str(), len);
}

int main() {
	Osoba osoba("Andrija", "Saric");

	// Creating a new binary file
	ofstream bin("osoba.dat", ios_base::binary);
	if (!bin) {
		cout << "Error writing file to disk!" << endl;
		return 1;
	}

	// Write to binary file
	write(bin, osoba);

	// Confirmation for the write operation
	cout << "Written to file." << endl;

	// Closing the file stream at the end
	bin.close();

	return 0;
}